#in order to build devel packages with static libs included you have to
# change '--disable-static' to '--enable-static' and uncomment the line
# containing the pattern ".../*.a" at the files section

%define name gtkmm
%define version 1.2.0
%define prefix %{_prefix}

Summary: C++ interface for popular GUI library gtk+.
Name: %{name}
Version: %{version}
Release: 1mdk
Copyright: LGPL
Group: System/Libraries
Source:	%{name}-%{version}.tar.bz2
URL: http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: Gtk--, gtk--
Requires: gtk+ >= 1.2.5, glib, gnome-libs, libsigc++ >= 0.8.5
Buildrequires: libsigc++ libsigc++-devel
Serial: 1

%description
Gtk-- (also name gtkmm as the package) provides convenient interface for C++
programmers to create graphical user interfaces with Gtk+'s flexible OO
framework. Highlights include type safe callbacks, widgets extensible using
inheritance and over 180 classes that can be freely combined to quickly create
complex user interfaces. Gtk-- is free software distributed under GNU Library
General Public License(LGPL).

Install gtkmm if you would like to develop nice User Interfaces to your C++
programs.


%package devel
Summary: Headers for developing programs that will use Gtk--.
Group: Development/GNOME and GTK+
Obsoletes: Gtk---devel, gtk---devel
Requires: %{name}, gtk+-devel, glib-devel, gnome-libs-devel, libsigc++-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+ (the Gimp
ToolKit) GUI library.

%prep
%setup -q

%build

# ...hope this can be removed soon
%ifarch alpha
	ARCH_FLAGS="--host=alpha-linux-gnu"
%endif

# Needed for snapshot releases.
if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS \
		--prefix=%{prefix} \
		--disable-static \
		--enable-shared --enable-docs
else
	CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure  $ARCH_FLAGS \
		--prefix=%{prefix} \
		--disable-maintainer-mode \
		--disable-static \
		--enable-shared --enable-docs
fi

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' \
	> examples/examples.conf

## strip down the docs 
#find docs/ \
#\( 	-name 'Makefile' -or	\
#	-name 'Makefile.??' -or	\
#	-name '*.m4' -or	\
#	-name '*.h' 		\
#\)	-exec rm -v {} \;


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/lib/*.so.*

%files devel
%defattr(-, root, root)
%doc examples/ docs/  AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/include/*.h
%{prefix}/include/gdk--
#%{prefix}/include/gnome--
%{prefix}/include/gtk--
%{prefix}/lib/*.la
#{prefix}/lib/*.a # uncomment this one for static libs 
#%{prefix}/lib/*.sh
%{prefix}/lib/*.so
%{prefix}/lib/gtkmm
#{prefix}/man/man3/*
%{prefix}/share/aclocal/gtk--.m4

%changelog
* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build 

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

